Disable debug output which breaks on some platforms

From: Lukas Nellen <lukas@nucleares.unam.mx>


---
 FdUtil/src/Inifile.cc |  374 +++++++++++++++++++++++++------------------------
 1 file changed, 187 insertions(+), 187 deletions(-)

diff --git a/FdUtil/src/Inifile.cc b/FdUtil/src/Inifile.cc
index f38b56b..1c2694d 100644
--- a/FdUtil/src/Inifile.cc
+++ b/FdUtil/src/Inifile.cc
@@ -2,7 +2,7 @@
 //
 // File:    Inifile.cc
 //
-// Purpose: Reading Windows(TM) like *.ini files 
+// Purpose: Reading Windows(TM) like *.ini files
 //          (derived from inifile.hxx, Rev. 1.5)
 //
 // $Id: Inifile.cc 13864 2013-06-06 10:13:17Z mathes $
@@ -56,7 +56,7 @@ static bool string_to_double(const std::string& s,double& x) {
     return false;
 
   return true;
-} 
+}
 
 // -------------------------------------------------------------------------
 
@@ -69,41 +69,41 @@ static bool string_to_int(const std::string& s,int& x) {
     return false;
 
   return true;
-} 
+}
 
 // -------------------------------------------------------------------------
 
 // from: http://stackoverflow.com/questions/289347/using-strtok-with-a-stdstring
-void tokenize_string(const std::string& str,const std::string& delim, 
+void tokenize_string(const std::string& str,const std::string& delim,
                      std::vector<std::string>& tokens) {
 
   tokens.clear();
-  
+
   size_t start, end = 0;
 
   while (end < str.size()) {
-  
+
     start = end;
-    
+
     while (start < str.size() && (delim.find(str[start]) != string::npos)) {
       start++;  // skip initial whitespace
     }
-    
+
     end = start;
-    
+
     while (end < str.size() && (delim.find(str[end]) == string::npos)) {
       end++; // skip to end of word
     }
-    
+
     if (end-start != 0) {  // just ignore zero-length strings.
       tokens.push_back(string(str, start, end-start));
     }
   }
-  
+
 #ifdef SHOW_TOKENS
   if ( !tokens.empty() )
     cout << "Found " << tokens.size() << " token(s)!" << endl;
-    
+
   for ( std::vector<std::string>::iterator it = tokens.begin();
                                            it != tokens.end(); ++ it ) {
     cout << "Token: " << *it << endl;
@@ -119,19 +119,19 @@ Inifile::Inifile(const char* filename)
   //fPtr          = string::npos;
   fPtr            = NULL;
   fStatus         = kFAIL;
-  
+
   assert( filename != NULL && *filename != 0 );
-  
+
   if ( fgPrintLevel > 1 ) {
     FD_CINFO << "Inifile::Inifile('" << filename << "') -" << endl;
   }
-  
+
   fFilename = Locate( filename );
-  
+
   if ( !fFilename.empty() ) {
-    
+
     FD_CINFO << "Inifile::Inifile() - found " << fFilename << endl;
-    
+
     Open( fFilename.c_str() );
   }
 
@@ -152,75 +152,75 @@ Inifile::Inifile(const char* filename, std::FILE *logfile,
   //fPtr            = string::npos;
   fPtr            = NULL;
   fStatus         = kFAIL;
-  
+
   assert( logfile != NULL );
   FdUtil::OstdioStream logstream( logfile );
 
   assert( filename != NULL && *filename != 0 );
-  
+
   if ( fgPrintLevel > 1 ) {
-    FD_CINFO << "Inifile::Inifile('" << filename 
+    FD_CINFO << "Inifile::Inifile('" << filename
              << "','" << logfile
-	     << "','" << secondDir
-	     << "','" << thirdDir << "'" << endl;
+        << "','" << secondDir
+        << "','" << thirdDir << "'" << endl;
   }
-  
+
   // ---> 1. check the file name only, case: absolute directory name
-  
+
   fFilename = TestFile ( "", filename );
-  
+
   if ( fFilename.empty() )
-    logstream << "Inifile::Inifile() - " 
+    logstream << "Inifile::Inifile() - "
               << "could not open " << filename << endl;
-  
+
   // ---> 2. local directory
 
   if ( fFilename.empty() ) {
     fFilename = TestFile( "./", filename );
-  
+
     if ( fFilename.empty() )
-      logstream << "Inifile::Inifile() - " 
+      logstream << "Inifile::Inifile() - "
                 << "could not open " << "./" << filename << endl;
   }
-  
+
   // ---> 3. secondDir
-  
+
   if ( fFilename.empty() && secondDir ) {
 
     fFilename = TestFile( secondDir, filename );
-    
+
     if ( fFilename.empty() )
-      logstream << "Inifile::Inifile() - " 
+      logstream << "Inifile::Inifile() - "
                 << "could not open " << secondDir << "/" << filename << endl;
   }
-  
+
   // ---> 4. thirdDir
-  
+
   if ( fFilename.empty() && thirdDir ) {
 
     fFilename = TestFile( thirdDir, filename );
-    
+
     if ( fFilename.empty() )
-      logstream << "Inifile::Inifile() - " 
+      logstream << "Inifile::Inifile() - "
                 << "could not open " << thirdDir << "/" << filename << endl;
   }
-  
+
   if ( !fFilename.empty() ) {
     Open( fFilename.c_str() );
 
     if ( fInifile.good() )
-      logstream << "Inifile::Inifile() - " 
+      logstream << "Inifile::Inifile() - "
                 << "reading from " << fFilename << " ..." << endl;
   }
-  
+
   if ( !fInifile.good() || fInifile.fail() ) {
     fStatus = kFAIL;
-    logstream << "Inifile::Inifile() - " 
+    logstream << "Inifile::Inifile() - "
               << "could not open any " << filename << " !!!" << endl;
 
     return;
   }
-  
+
   fStatus = kSUCCESS;
 }
 
@@ -232,18 +232,18 @@ Inifile::Inifile(const Inifile& rhs)
   //fPtr            = string::npos;
   fPtr            = NULL;
   fStatus         = kFAIL;
-  
+
   if ( fgPrintLevel > 1 ) {
-    FD_CINFO << "Inifile::Inifile(const Inifile&) - file= " 
+    FD_CINFO << "Inifile::Inifile(const Inifile&) - file= "
              << rhs.GetFilename() << endl;
   }
-  
+
   fFilename = Locate( rhs.GetFilename() );
-  
+
   if ( !fFilename.empty() ) {
-    
+
     FD_CINFO << "Inifile::Inifile(const Inifile&) - found " << fFilename << endl;
-    
+
     Open( fFilename.c_str() );
   }
 
@@ -266,15 +266,15 @@ Inifile::~Inifile()
 
 void Inifile::Close()
  {
-  if ( fgPrintLevel > 1 ) {
-    FD_CINFO << "Inifile::Close() - fInifile= " 
-             << hex << fInifile << dec << endl;
-  }
- 
+  //if ( fgPrintLevel > 1 ) {
+  //  FD_CINFO << "Inifile::Close() - fInifile= "
+  //           << hex << fInifile << dec << endl;
+  //}
+
   if ( fInifile.is_open() ) {
     fInifile.close();
   }
-  
+
   fInifile.clear();
 }
 
@@ -300,21 +300,21 @@ char Inifile::Digits2Value(char** src, char* end, int base)
  {
   char digval;
   int  value = 0, maxdigits = 3;
- 
+
   if (base == 16) maxdigits = 2;
   if ((base == 16) || (base == 8)) (*src)++;
   if ((base == 8) && (**src == 'x')) return Digits2Value (src, end, 16);
 
   while ((*src < end) && maxdigits && ((digval = Digit2Value(**src)) < base)) {
-    
+
     value *= base;
     value += digval;
     (*src)++;
     maxdigits--;
   }
-  
+
   (*src)--;
- 
+
   return ((char)(value % 256));
 }
 
@@ -323,46 +323,46 @@ char Inifile::Digits2Value(char** src, char* end, int base)
 std::string Inifile::Locate(const char* filename)
  {
   assert( filename != NULL && *filename != 0 );
-  
+
   string directory_str;
   string filename_str;
-  
+
   // ---> 0. check for filename(s) with either complete or incomplete path spec
-  
+
   string filename_str2 = filename;
-  
+
   if ( filename_str2.rfind( "/" ) != string::npos ) {
-  
+
     directory_str = filename_str2.substr( 0, filename_str2.rfind( "/" ) );
     filename_str2 = filename_str2.replace( 0, filename_str2.rfind( "/" ) + 1, "" );
-    
+
     filename_str = TestFile( directory_str, filename_str2 );
-    
+
 #if 0
     cout << "filename_str2= " << filename_str2 << endl;
     cout << "directory_str= " << directory_str << endl;
-    
+
     cout << "filename_str= " << filename_str << endl;
 #endif
 
     if ( !filename_str.empty() ) return filename_str;
   }
-  
+
   // ---> 1. local directory
-  
+
   directory_str = "./";
-  
+
   filename_str = TestFile( directory_str, filename );
   if ( !filename_str.empty() ) return filename_str;
-  
+
   FD_CWARN << "Inifile::Locate() - "
            << "could not find " << directory_str << filename << endl;
-  
+
   // ---> 2. FdNaming::GetConfigDirectory()
-  
+
   FdNaming& naming = FdNaming::GetInstance();
   directory_str = naming.GetConfigDirectory();
-  
+
   filename_str = TestFile( directory_str, filename );
   if ( !filename_str.empty() ) return filename_str;
 
@@ -373,97 +373,97 @@ std::string Inifile::Locate(const char* filename)
 
   directory_str = getenv( "HOME" );
   directory_str += "/";
-  
+
   filename_str = TestFile( directory_str, filename );
   if ( !filename_str.empty() ) return filename_str;
-  
-  FD_CWARN << "Inifile::Locate() - " 
+
+  FD_CWARN << "Inifile::Locate() - "
            << "could not find " << directory_str << filename << endl;
-  
+
   // ---> 4. /opt/auger/etc
 
   directory_str = "/opt/auger/etc/";
-  
+
   filename_str = TestFile( directory_str, filename );
   if ( !filename_str.empty() ) return filename_str;
-  
-  FD_CWARN << "Inifile::Locate() - " 
+
+  FD_CWARN << "Inifile::Locate() - "
            << "could not find " << directory_str << filename << endl;
 
   // ---> 5. $FD_ROOT/etc
 
   if ( getenv( "FD_ROOT" ) != NULL ) {
-  
+
     directory_str = getenv( "FD_ROOT" );
     directory_str += "/etc/";
-    
+
     filename_str = TestFile( directory_str, filename );
     if ( !filename_str.empty() ) return filename_str;
 
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find " << directory_str << filename << endl;
   }
   else
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find $FD_ROOT/etc/" << filename << endl;
 
   // ---> 6. $FDDAS_CONFIG_DIR
-  
+
   if ( getenv( "FDDAS_CONFIG_DIR" ) != NULL ) {
-  
+
     directory_str = getenv( "FDDAS_CONFIG_DIR" );
     directory_str += "/config/";
-    
+
     filename_str = TestFile( directory_str, filename );
     if ( !filename_str.empty() ) return filename_str;
 
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find " << directory_str << filename << endl;
   }
   else
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find $FDDAS_CONFIG_DIR/" << filename << endl;
 
   // ---> 7. $FDDAS_BASE_DIR
-  
+
   if ( getenv( "FDDAS_BASE_DIR" ) != NULL ) {
-  
+
     directory_str = getenv( "FDDAS_BASE_DIR" );
     directory_str += "/config/";
 
     filename_str = TestFile( directory_str, filename );
     if ( !filename_str.empty() ) return filename_str;
 
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find " << directory_str << filename << endl;
   }
   else
-    FD_CWARN << "Inifile::Locate() - " 
-  	     << "could not find $FDDAS_BASE_DIR/" << filename << endl;
+    FD_CWARN << "Inifile::Locate() - "
+        << "could not find $FDDAS_BASE_DIR/" << filename << endl;
 
   // ---> 8. $INIFILE_PATH
-  
+
   if ( getenv( "INIFILE_PATH" ) != NULL ) {
 
     directory_str = getenv( "INIFILE_PATH" );
     directory_str += "/";
-    
+
     filename_str = TestFile( directory_str, filename );
     if ( !filename_str.empty() ) return filename_str;
 
-    FD_CWARN << "Inifile::Locate() - " 
+    FD_CWARN << "Inifile::Locate() - "
              << "could not find " << directory_str << filename << endl;
   }
   else
-    FD_CWARN << "Inifile::Locate() - " 
-  	     << "could not find $INIFILE_PATH/" << filename << endl;
+    FD_CWARN << "Inifile::Locate() - "
+        << "could not find $INIFILE_PATH/" << filename << endl;
 
   if ( filename_str.empty() ) {
-    FD_CERR << "Inifile::Locate() - " 
-            << "could not find " << filename << " in any directory !!!" 
-	    << endl;
+    FD_CERR << "Inifile::Locate() - "
+            << "could not find " << filename << " in any directory !!!"
+        << endl;
   }
-  
+
   return filename_str;
 }
 
@@ -471,7 +471,7 @@ std::string Inifile::Locate(const char* filename)
 
 char Inifile::GetNextCharacter(char** src, char* end)
  {
-  (*src)++; 
+  (*src)++;
   if ( *src == end ) return ((char)0);
   if ( (**src == '\\') || (**src == '#') ) return (**src);
   if ( **src == 'n' ) return ('\n');
@@ -492,17 +492,17 @@ size_t Inifile::GetLine()
  {
   // overloaded istream::getline() from <string>
   getline( fInifile, fLinebuf );
-  
+
   if ( fInifile.fail() || fInifile.eof() ) return string::npos;
-  
+
   if ( fLinebuf.empty() ) return 0;
- 
+
   string::iterator it = fLinebuf.begin();
-  
+
 //  // handle continuation line(s) ... ???
 //  while ( it != fLinebuf.end() ) {
 //  }
-  
+
   while ( it != fLinebuf.end() ) {
     // convert '\t' into blank
     if ( *it == '\t' ) *it = ' ';
@@ -514,7 +514,7 @@ size_t Inifile::GetLine()
   // handle comment characters, ';' and '#'
   size_t comment = fLinebuf.find(";");
   if ( comment != string::npos ) fLinebuf.erase( comment );
-  
+
   comment = fLinebuf.find("#");
   if ( comment != string::npos ) fLinebuf.erase( comment );
 
@@ -523,20 +523,20 @@ size_t Inifile::GetLine()
   return 0;
 
 #if 0
-  dest = src = ptr; 
+  dest = src = ptr;
   end = ptr + strlen( ptr );
 
   while ( *src /* && *dest */ ) { // commented part not tested (thjm, 2.11.03)
-  
+
     if ( *src == '\\' ) {
-      
+
       char next = GetNextCharacter( &src, end );
 
       if ( next == (char)0 ) {
         bufsize -= (dest - ptr);
         *(ptr = src = dest) = 0;
-	fInifile.getline( dest, bufsize );
-	if ( fInifile.gcount() == 0 ) return fLinebuf;
+        fInifile.getline( dest, bufsize );
+        if ( fInifile.gcount() == 0 ) return fLinebuf;
         dest--; src--;
         end = ptr + strlen (ptr);
       }
@@ -547,12 +547,12 @@ size_t Inifile::GetLine()
       if ( *src == ';' ) *dest = 0;  /* thjm, 02.11.03, for comments */
       else *dest = *src;
     }
-    
+
     dest++; src++;
-  } 
+  }
 
   *dest = (char)0;
-  
+
   return fLinebuf;
 #endif
 }
@@ -563,19 +563,19 @@ double Inifile::GetFirstFloat(const char* _entry, int* error)
  {
   const char * ptr;
   if ( error ) *error = kSUCCESS;
-  
+
   if ( fStatus == kFAIL ) {
     if ( error ) *error = kFAIL;
     return 0;
   }
-  
+
   if ( error ) *error = kFAIL;
   ptr = (char *)GetFirstString( _entry );
   if ( ptr == NULL ) {
     if ( error ) *error = kFAIL;
     return 0;
   }
- 
+
   double value;
 
   if ( string_to_double( ptr, value ) )
@@ -590,7 +590,7 @@ double Inifile::GetFirstFloat(const char* entry, double def_value, int* error)
  {
   double value = 0.0;
   int _error;
-  
+
   if ( error ) *error = kSUCCESS;
 
   if ( GetStatus() == kFAIL )
@@ -613,35 +613,35 @@ const char* Inifile::GetFirstString(const char* entry )
   if ( fStatus == kFAIL ) {  // 2.8.00 ak
    return NULL;
   }
-  
+
   if ( fGroup.empty() ) {
     perror ("group has to be defined!!");
     return NULL;
   }
-  
+
   // clear the fail bits (fail, bad, eof)
   fInifile.clear();
   // set file pointer to begin of this group (section)
   fInifile.seekg( fGroupPosInFile, ios::beg );  // SEEK_SET
-  
-  std::size_t lineptr = GetLine(); 
+
+  std::size_t lineptr = GetLine();
 
 #ifdef SHOW_TOKENS
   cout << "fLinebuf: \"" << fLinebuf << "\"" << endl;
 #endif // SHOW_TOKENS
-  
+
   // reading and searching for entries is allowed until next section is found
   while ( lineptr != string::npos && fLinebuf[lineptr] != '[' ) {
-  
+
     tokenize_string( fLinebuf, "\n\t= ", fTokens );
-    
+
     // find next token until we find '\n' or a whitespace, '\t' or ' '
     fCurToken = fTokens.begin();
-    
+
     if ( fCurToken != fTokens.end() && *fCurToken == entry ) {
       ++fCurToken;
 #ifdef SHOW_TOKENS
-      cout << __LINE__ << ": *fCurToken: " 
+      cout << __LINE__ << ": *fCurToken: "
            << ((fCurToken != fTokens.end()) ? *fCurToken : "is empty!")
            << endl;
 #endif // SHOW_TOKENS
@@ -653,13 +653,13 @@ const char* Inifile::GetFirstString(const char* entry )
     cout << "fLinebuf: \"" << fLinebuf << "\"" << endl;
 #endif // SHOW_TOKENS
   }
-  
-  return NULL; 
+
+  return NULL;
 }
 
 // -------------------------------------------------------------------------
 
-const char* 
+const char*
 Inifile::GetFirstString(const char *entry,const char* def_str,int *error)
  {
   const char* ptr;
@@ -676,7 +676,7 @@ Inifile::GetFirstString(const char *entry,const char* def_str,int *error)
   } else {
     if ( error ) *error = kSUCCESS;
   }
-  
+
   return ptr;
 }
 
@@ -686,19 +686,19 @@ int Inifile::GetFirstValue(const char* entry, int* error)
  {
   const char * ptr;
   if ( error ) *error = kSUCCESS;
-  
+
   if ( fStatus == kFAIL ) {  // 2.8.00 ak
     if ( error ) *error = kFAIL;
     return 0;
   }
-  
+
   if ( error ) *error = kFAIL;
   ptr = (char *)GetFirstString( entry );
   if ( ptr == NULL ) {
     if ( error ) *error = kFAIL;
     return 0;
   }
- 
+
   int value;
 
   if ( string_to_int( ptr, value ) )
@@ -713,7 +713,7 @@ int Inifile::GetFirstValue(const char *entry, int def_value, int *error)
  {
   int value = 0;
   int _error;
-  
+
   if ( error ) *error = kSUCCESS;
 
   if ( GetStatus() == kFAIL )
@@ -736,24 +736,24 @@ double Inifile::GetNextFloat(int *error)
   const char* ptr;
 
   if ( error ) *error = 0;
-  
+
   if ( fStatus == kFAIL ) {  // 2.8.00 ak
     if ( error ) *error = kFAIL;
     return 0;
   }
-  
+
   if ( error ) *error = kFAIL;
   ptr = GetNextString();
   if ( ptr == NULL ) {
     if ( error ) *error = kFAIL;
     return 0;
   }
- 
+
   double value;
 
   if ( string_to_double( ptr, value ) )
     if ( error ) *error = kSUCCESS;
-  
+
   return value;
 }
 
@@ -763,7 +763,7 @@ double Inifile::GetNextFloat(double def_value, int *error)
  {
   float value = 0.0;
   int _error;
-  
+
   if ( error ) *error = 0;
 
   if ( GetStatus() == kFAIL )
@@ -787,25 +787,25 @@ const char * Inifile::GetNextString(int *error)
     if ( error ) *error = kFAIL;
     return NULL;
   }
-  
+
   if ( fGroup.empty() ) {
     FD_CERR << "Inifile::GetNextString() - no group has been defined!" << endl;
     if ( error ) *error = kFAIL;
     return NULL;
   }
-  
+
   // already at the end ?
   if ( fCurToken == fTokens.end() ) {
     if ( error ) *error = kFAIL;
-    return NULL;  
+    return NULL;
   }
-  
+
   // next one valid ?
   if ( ++fCurToken == fTokens.end() ) {
     if ( error ) *error = kFAIL;
-    return NULL;  
+    return NULL;
   }
-  
+
  #ifdef SHOW_TOKENS
   cout << __LINE__ << ": *fCurToken: " << (*fCurToken).c_str() << endl;
  #endif // SHOW_TOKENS
@@ -819,14 +819,14 @@ const char * Inifile::GetNextString(const char* def_string, int* error)
  {
   const char *_string = NULL;
   int _error = kSUCCESS;
-  
+
   if ( error ) *error = kSUCCESS;
 
   if ( GetStatus() == kFAIL )
     _error = kFAIL;
   else
     _string = GetNextString( &_error );
-  
+
   if ( _error == kFAIL ) {
     _string = def_string;
     if ( error ) *error = _error;
@@ -843,19 +843,19 @@ int Inifile::GetNextValue(int* error)
  {
   const char * ptr;
   if ( error ) *error = 0;
-  
+
   if ( fStatus == kFAIL ) {  // 2.8.00 ak
     if ( error ) *error = kFAIL;
     return 0;
   }
-  
+
   if ( error ) *error = kFAIL;
   ptr = GetNextString();
   if ( ptr == NULL ) {
     if ( error ) *error = kFAIL;
     return 0;
   }
- 
+
   int value;
 
   if ( string_to_int( ptr, value ) )
@@ -870,7 +870,7 @@ int Inifile::GetNextValue(int def_value, int* error)
  {
   int value = 0;
   int _error;
-  
+
   if ( error ) *error = 0;
 
   if ( GetStatus() == kFAIL )
@@ -891,9 +891,9 @@ int Inifile::GetNextValue(int def_value, int* error)
 int Inifile::Open(const char *filename)
  {
   fStatus = Inifile::kFAIL;
-  
+
   if ( !filename || !*filename ) return fStatus;
-  
+
   if ( fgPrintLevel > 1 ) {
     FD_CINFO << "Inifile::Open('" << filename << "') -" << endl;
   }
@@ -901,23 +901,23 @@ int Inifile::Open(const char *filename)
   fInifile.clear();
 
   fInifile.open( filename, ifstream::in );
- 
+
   if ( fInifile.good() ) {
-    
+
     if ( fgPrintLevel > 1 ) {
-      FD_CINFO << "Inifile::Open() - fInifile= " 
-               << hex << fInifile << dec << endl;
-      FD_CINFO << "Inifile::Open() - " 
-    	       << "reading from " << filename << " ..." << endl;
+      //FD_CINFO << "Inifile::Open() - fInifile= "
+      //         << hex << fInifile << dec << endl;
+      FD_CINFO << "Inifile::Open() - "
+                << "reading from " << filename << " ..." << endl;
     }
-    
+
     fStatus = Inifile::kSUCCESS;
 
     return fStatus;
   }
-  
+
   fInifile.close();
-  
+
   return fStatus;  // kFAIL
 }
 
@@ -928,7 +928,7 @@ int Inifile::Open()
   assert( !fFilename.empty() );
 
   if ( fFilename.empty() ) return Inifile::kFAIL;
-  
+
   return Open( fFilename.c_str() );
 }
 
@@ -949,24 +949,24 @@ int Inifile::SpecifyGroup(const char *group)
   if ( fStatus == kFAIL ) {  // 2.8.00 ak
    return kFAIL;
   }
-  
+
   Reset();
-  
+
   fGroup = "[" + string(group) + "]";
-  
+
   std::size_t lineptr;
- 
+
   do {
-    
+
     // end of file !
     if ( (lineptr = GetLine()) == string::npos ) return kFAIL;
-    
+
     // empty line ?
     if ( fLinebuf.empty() ) continue;
 
     // group tag found in line ?
     if ( fLinebuf.find( fGroup ) == string::npos ) continue;
-    
+
     fGroupPosInFile = fInifile.tellg();
 
     // more data in this section or EOF ?
@@ -974,9 +974,9 @@ int Inifile::SpecifyGroup(const char *group)
       return kFAIL;
 
     return kSUCCESS;
-    
+
   } while ( lineptr != string::npos );
-  
+
   return kFAIL;
 }
 
@@ -984,23 +984,23 @@ int Inifile::SpecifyGroup(const char *group)
 
 #define DEBUG_TESTFILE      0
 
-std::string Inifile::TestFile(const std::string directory, 
+std::string Inifile::TestFile(const std::string directory,
                               const std::string filename)
  {
 #if DEBUG_TESTFILE
   cout << "Inifile::TestFile(directory='" << directory << "',filename='"
        << filename << "') -" << endl;
 #endif // DEBUG_TESTFILE
-  
+
   string fq_name;  // full qualified filename
 
   // assume that directory is well formatted
   if ( directory.empty() ) {
-    
+
     if ( filename.empty() ) return "";
-    
+
     //if ( filename.rfind( "./" ) == string::npos) return "";
-    if ( filename.rfind( "./" ) == string::npos) 
+    if ( filename.rfind( "./" ) == string::npos)
       fq_name = "./" + filename;
     else
       fq_name = "./" + filename;
@@ -1013,9 +1013,9 @@ std::string Inifile::TestFile(const std::string directory,
     if ( filename[0] == '/' )
       // directory skipped as absolute path given
       fq_name = filename;
-    else if ( filename.find("../") != string::npos) 
+    else if ( filename.find("../") != string::npos)
       fq_name += filename.substr( filename.find("../") + 3 );
-    else if ( filename.rfind("./") != string::npos) 
+    else if ( filename.rfind("./") != string::npos)
       fq_name += filename.substr( filename.rfind("./") + 2 );
     else
       fq_name += filename;
@@ -1024,13 +1024,13 @@ std::string Inifile::TestFile(const std::string directory,
 #if DEBUG_TESTFILE
   cout << "Inifile::TestFile() - fq_name= " << fq_name << endl;
 #endif // DEBUG_TESTFILE
-  
+
   FILE * file = fopen( fq_name.c_str(), "r" );
   if ( file != NULL ) {
     fclose( file );
     return fq_name;
   }
-  
+
   return "";
 }
 
